*%表題   GTOOL データの出力
*%
*%履歴   91/05/21 佐藤正樹       C:\FORT\OORT\WTGTDT.FOR
*%
*%
*-----------------------------------------------------------------------
      SUBROUTINE  WTGTDT
     I           ( JFILE,    HOFL,
     O             HHEAD,    GDATA )
*
      INTEGER  JFILE          ! 出力ユニット番号
      CHARACTER HOFL*(*)      ! 出力ファイル名
      LOGICAL   LOEX          ! 出力ファイルの存在

      INTEGER NCC
      INTEGER NDC
      PARAMETER  ( NCC=16, NDC=64 )
      CHARACTER  HHEAD ( NDC )*(NCC)  ! ヘッダー
      CHARACTER  HDFMT *(NCC)
      CHARACTER  HITEM *(NCC)

      INTEGER  IASTR1
      INTEGER  IAEND1
      INTEGER  IASTR2
      INTEGER  IAEND2
      INTEGER  IASTR3
      INTEGER  IAEND3

      INTEGER  IDIM
      INTEGER  JDIM
      INTEGER  KDIM
      INTEGER  IJKDIM

      REAL  GDATA(*)          ! 出力データ

      INTEGER N
      INTEGER I

*-----------------------------------------------------------------------
*     < 出力データファイルのオープン >

      INQUIRE(FILE=HOFL, EXIST=LOEX)
      IF( LOEX ) THEN
        OPEN ( JFILE, FILE=HOFL, STATUS='OLD' )
        CLOSE( JFILE, STATUS='DELETE' )
      END IF

      OPEN ( JFILE, FILE=HOFL )



*     < 出力 >

      WRITE ( JFILE, '(A16)' ) (HHEAD(N), N=1, NDC)

      CALL  GHPGET( HHEAD, 'ASTR1', IASTR1 )
      CALL  GHPGET( HHEAD, 'AEND1', IAEND1 )
      CALL  GHPGET( HHEAD, 'ASTR2', IASTR2 )
      CALL  GHPGET( HHEAD, 'AEND2', IAEND2 )
      CALL  GHPGET( HHEAD, 'ASTR3', IASTR3 )
      CALL  GHPGET( HHEAD, 'AEND3', IAEND3 )
      CALL  GHCGET( HHEAD, 'DFMT',  HDFMT )

      IDIM = IAEND1 - IASTR1 + 1
      JDIM = IAEND2 - IASTR2 + 1
      KDIM = IAEND3 - IASTR3 + 1
      IJKDIM = IDIM*JDIM*KDIM

      WRITE ( JFILE, HDFMT )  ( GDATA( I ), I=1, IJKDIM )

      CALL  GHCGET( HHEAD, 'ITEM',  HITEM )
      WRITE(6,*) '出力データ', HITEM



*     < ファイルのクローズ >

      CLOSE(JFILE)



*-----------------------------------------------------------------------

       RETURN
       END
